;*******************************************************************************
;
;ABCPYDOC.INI - This file is an example file that shows how to provide the
;               "blind-copy" capability for use with Adobe Acrobat installations.
;
;NOTE:  Do NOT use this file for blind-copy.  It is meant only as an example.
;*******************************************************************************
;
;Blind-copy capability provides a mechanism where a customer may add to
;an installation set.  To trigger the blind-copy mechanism, a file named
;ABCPY.INI (Adobe Blind CoPY initialization file) must exist in the same 
;directory as the installer (SETUP.EXE) for Acrobat, whether for the individual
;Acrobat products or the Acrobat 3.0 "umbrella". 
;
;ABCPY.INI is formatted similar to an .INI file, with section names that must
;match values set in ACROINST.INI (a hidden file used by Acrobat installations).
;For example, if a customer needs the blind-copy capability for an Acrobat Reader
;installation, a section in ABCPY.INI must be named [ReaderBlindCopy].  If 
;Acrobat Exchange is the product installed, a section named [ExchangeBlindCopy] 
;must exist in ABCPY.INI.
;
;There are five types of "object actions" that can be added.  1) A "requirement"
;may be performed, 2) files can be copied, 2) program items or shortcuts 
;(depending on the target operating system) can be created, 3) registry entries 
;can be created, and 4) INI entries can be created.
;
;To have an action performed on these blind-copy objects, there are several 
;entries that must be made within the product's blind-copy section.  First,
;there must be a key named "NumberOfGroups" and this key must have a value
;of 1 or more.  
;
;For each "group", there will need to be entries for operating system platform, 
;target destination location, source location, and an optional entry for a 
;"group" name which is used for the group name when program items or shortcuts 
;are created.  
;
;By reviewing the example section in this file, the entries for each group are:
;Group<X>Platform=All
;Group<X>DestDir=Org
;Group<X>Loc=Org
;Group<X>Name=
;
;where <X> is replaced with the number of a specfic group.
;NOTE: The value for the group can be not larger than the number of groups as 
;		defined in NumberOfGroups key in this section.
;
;The platform key must contain a value contained in the following set: 
;(All, Win32, Win16, Win95, WinNT, !WinNT).  
;All means this group is targeted to all Windows operating system. 
;Win32 means the target platform is Windows 95 or Windows NT.
;Win16 means the target platform is only 16 bit Windows (3.1x). 
;Win95 means only Windows 95.  
;WinNT means only Windows NT
;!WinNT means the target platform is All except Windows NT.
;
;Group<X>DestDir contains the target detination directory name.
;
;Group<X>Loc is the source location relative to the main installation directory
;(i.e. on the source media of the installation set, NOT where the user chose to
;install Acrobat).
;
;All remaining keys are used for performing certain actions.

;Each group can then have entries for the five "object actions" and those actions
;use the group settings for determining the source, destination, etc.  Below is
;a description of how to set these up correctly.
;
;>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
;REQUIREMENTS
;
;To have a "requirement" performed, there must be one line in the group as follows:
;
;Group<X>NumberOfRequirements=<Y>, where <X> is the group number and <Y> is the 
;number of requirement actions to be performed for this group.  At this time, the
;only supported requirement is running the Windows application REGEDIT.EXE which
;can be used to add registry entries using a pre-defined registry file.
;
;The following shows an example requirement using REGEDIT:
;
;Group2NumberOfRequirements=1
;Group2Requirement1=REGEDIT
;Group2RegEditFile=Extra\Extra32.REG
;
;The key Group<X>RegEditFile=<.REG file> must exist on the users system in a
;sub-directory of the path where Acrobat was installed.  This .REG file will
;then be run via REGEDIT.EXE.
;
;>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
;FILE COPYING
;
;To have a file "blind copied" during installation, there must be a key named
;Group<X>NumberOfFiles, and the value of this key must be the number of files to 
;be copied from this source location to the group's target destination as defined 
;in the Group<X>DestDir and Group<X>Loc keys.
;
;For each file to be copied, a key of the following format must be defined:
;Group<X>FileName<Y>, where <X> is the group number and <Y> is the file number.
;NOTE: The file number cannot be greater than the number of files value.
;
;NOTE: There is no mechanism to rename files as they are copied.
;
;NOTE: Files will be directly copied.  The blind-copy mechanism would not know
;      which decompression scheme to use.
;
;<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
;PROGRAM ITEMS AND SHORTCUTS
;
;To create a program item or shortcut, a key must be defined containing the number
;of "icons" to be created.
;
;If the number is one or more, a key in the following format must be defined:
;Group<X>Icon<Y> (see notes above regrarding numbering).
;
;The value for these keys is rather cryptic, so please bear with this discussion.
;This type of object action requires a comma-delimited (i.e. separated by commas)
;value that has a variable number of parameters depending on the value of the first 
;parameter.
;
;The first parameter of the value must be either SYTLE1 or STYLE2.  
;STYLE1 is used when the object referred to is an executable or an automatically 
;launched file (i.e if the file's extension automatically launches the correct 
;executable).
;STYLE2 is used when the object referred to requires a primary executable to launch
;the second file (e.g. NOTEPAD.EXE is often used for launching a ReadMe file).
;
;Once the STYLE<X> is defined, the second portion refers to the working directory 
;for the file named in the third portion.  There are a limited number of values allowed
;for this second parameter.  If the first character is a '$' then the following values
;are accepted: Windows or WindowsSystem.  These refer to the directory where Windows is
;installed or the Windows System directory, respectively.
;
;As stated above, the third parameter is the name of the executable file (or automatically
;launched file is that is appropriate).
;
;The fourth parameter is the literal text that will be displayed in the Windows UI that
;describes the main file (for STYLE1 this is the file referred to in the 3rd parameter,
;for STYLE2 it is the file referred to in the 7th parameter).
;
;For the fifth parameter (and last for STYLE1 entries), this is a number for the index to
;the icon for Windows to use from the 3rd parameter.  This is typically 0 (zero).
;
;STYLE2 entries require two more parameters.  The sixth parameter is the location or
;working directory of the file referenced in the seventh and last parameter.
;
;The following explanation of the example entries should clarify most questions.
;
;Group1Icon1=STYLE1,Org,Match.exe,Match,0
;In this example, the above entry will create a program item or shortcut in the same 
;folder as was used by the Acrobat installation (because Group1Name is blank).  The item
;will display "Match" (the 4th parameter) as the description, and the command line created 
;will be for the program named Match.exe that is located in the Org directory below where 
;the user chose to put their Acrobat program files.  The first icon indexed within Match.exe 
;will be used in displaying the item.
;
;Group1Icon2=STYLE2,$Windows,Notepad.exe,Match ReadMe,0,Org,Readme.txt
;Here the entry will create a program item or shortcut in the same folder as was used by
;the Acrobat installation (because Group1Name is blank), for the file named Readme.txt
;that is located in the Org directory below where the user chose to put their Acrobat
;program files.  The description the user will see is "Match ReadMe" and the icon displayed
;will be the default icon for Notepad.exe.  The command line used to launch this item will
;be "<Windows drive and directory>\Notepad.exe <Drive and directory for Acrobat>\Org\Readme.txt"
;
;NOTE: Be careful when using Write.exe, because this file is located in	either the Windows
;		directory or the Windows System directory (on NT 4.0), thus making an entry that uses
;		Write.exe platform dependent.
;
;<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
;REGISTRY ENTRIES
;
;To create registry entries within a group, the first required line is:
;Group<X>NumberOfRegEntries=<Y>, where <X> is the number of the group and <Y> is the
;                                number of registry entries to add.
;
;For each registry entry, there must be a key with a comma-delimited value containing six parts.
;
;The first parameter is the target platform.  The platform defined at the group level may be broader
;than the registry entry, so there is another means of differentiating settings based on the
;operating system of the end-user.  The same values for platform are used for both the group and
;the registry entries (and, as you will see, for INI settings).
;
;The second parameter in the comma-delimited value is the parent class where the registry entry
;will be created.  The most commonly used values here are HKEY_CLASSES_ROOT (the only valid
;parent for 16 bit Windows), HKEY_LOCAL_MACHINE, and HKEY_CURRENT_USER.  These are the only
;values currently valid within the blind-copy mechanism.
;
;The third parameter is the subkey within the registry where the entry will be created.
;
;The fourth parameter is used for the "named value" portion of the registry key.  For 32 bit
;Windows platforms, keys may have multiple named values under one key.  For the 16 bit registry,
;there is no named value capability, thus all registry entries within a key are set to a default
;named value (as exemplified below in Group1RegEntry2 where the 4th parameter is "Default").
;
;The fifth parameter is used for setting the type of data to be stored in this registry key (or in
;the named value of that key).  The currently supported settings are STRING, MULTIPLE_STRING,
;EXPANDABLE_STRING, and NUMBER.  MULTIPLE_STRING is used when the string data has new lines embedded.
;EXPANDABLE_STRING is used when the string data contains an expandable environment variable such as
;"%PATH%".
;
;The sixth parameter is the literal value for the key or named value.
;
;Below are two examples of similar entries, one for the 32 bit registry and one for 16 bit registry.
;
;Group1RegEntry1=Win32,HKEY_LOCAL_MACHINE,Software\Adobe\Acrobat,BlindCopy,STRING,Match Utility
;Group1RegEntry2=Win16,HKEY_CLASSES_ROOT,Software\Adobe\Acrobat\BlindCopy,Default,STRING,Match Utility
;
;
;<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
;INI SETTINGS
;
;To create INI settings within a group, the first required line is:
;Group<X>NumberOfIniSettings=<Y>, where <X> is the number of the group and <Y> is the
;                                number of INI settings to add.
;
;For each INI setting, there must be a key with a comma-delimited value containing six parts.
;
;The first parameter is the target platform.  The platform defined at the group level may be broader
;than the INI setting, so there is another means of differentiating settings based on the
;operating system of the end-user.  The same values for platform are used for both the group and
;the INI settings.
;
;The second parameter in the comma-delimited value is the directory location of the INI file.  Again,
;$Windows and $WindowsSystem are valid settings as well as literal directories that are relative to
;where the Acrobat files were decompressed during installation.
;
;The third parameter is the INI file name.  If the file does not exist, it will be created.
;
;The fourth parameter is the section in the INI file where the setting will be made.  The section
;be created if it does not exist.
;
;The fifth parameter is the INI key within the section.
;
;The sixth parameter is the value for the key in the section.
;
;The following is a simple example that will create an entry in <Windows>\ArcoExch.ini under the
;section [BlindCopy] the following key:
;Match=Match.exe
;
;Group1IniSetting1=Win16,$Windows,AcroExch.ini,BlindCopy,Match,Match.exe
;
;>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
;
;At this time, this is the current functionality of the blind-copy mechanism that can be used
;with Adobe Acrobat installations.
;
;The following entries can be used as examples for the correct syntax for performing the various
;blind-copy actions.  These examples should not be used literally, unless by some miracle, your
;installation has these exact same files and settings.
;
;>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>

[ReaderBlindCopy]
NumberOfGroups=5

Group1Platform=All
Group1DestDir=Org
Group1Loc=Org
Group1Name=
Group1NumberOfFiles=3
Group1FileName1=Match.exe
Group1FileName2=Match.hlp
Group1FileName3=ReadMe.txt
Group1NumberOfIcons=2
Group1Icon1=STYLE1,Org,Match.exe,Match,0
Group1Icon2=STYLE2,$Windows,Notepad.exe,Match ReadMe,0,Org,Readme.txt
Group1NumberOfRegEntries=2
Group1RegEntry1=Win32,HKEY_LOCAL_MACHINE,Software\Adobe\Acrobat,BlindCopy,STRING,Match Utility
Group1RegEntry2=Win16,HKEY_CLASSES_ROOT,Software\Adobe\Acrobat\BlindCopy,Default,STRING,Match Utility
Group1NumberOfIniSettings=1
Group1IniSetting1=Win16,$Windows,AcroExch.ini,BlindCopy,Match,Match.exe

Group2Platform=Win32
Group2DestDir=
Group2Loc=Extra
Group2Name=
Group2NumberOfRequirements=0
Group2NumberOfFiles=1
Group2FileName1=Extra32.REG
Group2NumberOfIcons=0
Group2NumberOfRegEntries=0
Group2NumberOfIniSettings=0

Group3Platform=Win32
Group3DestDir=
Group3Loc=
Group3Name=
Group3NumberOfRequirements=1
Group3Requirement1=REGEDIT
Group3RegEditFile=Extra\Extra32.REG
Group3NumberOfFiles=0
Group3NumberOfIcons=0
Group3NumberOfRegEntries=0
Group3NumberOfIniSettings=0

Group4Platform=Win16
Group4DestDir=
Group4Loc=Extra
Group4Name=
Group4NumberOfRequirements=0
Group4NumberOfFiles=1
Group4FileName1=Extra16.REG
Group4NumberOfIcons=0
Group4NumberOfRegEntries=0
Group4NumberOfIniSettings=0

Group5Platform=Win16
Group5DestDir=
Group5Loc=
Group5Name=
Group5NumberOfRequirements=1
Group5Requirement1=REGEDIT
Group5RegEditFile=Extra\Extra16.REG
Group5NumberOfFiles=0
Group5NumberOfIcons=0
Group5NumberOfRegEntries=0
Group5NumberOfIniSettings=0

